Bill Allombert on Fri, 19 Dec 2003 01:29:00 +0100

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]

gp2c-0.0.3 released

Hello PARI developers,

I just released GP2C 0.0.3pl0, the GP to C translator.

  First a bit of warning: Previous releases will not work with PARI 2.2.7.
  PARI 2.2.0 to 2.2.6 is not supported by this release of GP2C, but PARI
  2.1 stable releases are.

  So if you run PARI 2.2.7, you need to upgrade to this version, else you
  are probably better off sticking with GP2C 0.0.2pl6.

  The installation instruction have changed, see below.

You can download it at

GP2C is a compiler for GP-scripts that output C code to be linked with libpari
or instal'ed in GP.

It can be used to compile and run a GP script, to learn how to use the PARI
library, or to check a script for mistakes (with -W).

This version is mainly to fix incompatibilities with PARI 2.2.7.
However, when used in conjunction with PARI 2.2.7, the following
limitations are removed:

-- full support for member functions.
-- full support for text-based functions that take a variable number
of strings as argument.

New Installation Note:

You need the `pari.cfg' file from your PARI installation. Old version
of this file are named '' PARI installs this file
in "$prefix/lib/pari/pari.cfg"

Copy or link it to this directory and run

Run `./configure'.
Then run `make'.